<!-- <img class="img-fluid" src="assets/images/dashboard(placeholder).jpg" alt=""> -->
<app-content-layout>
    <main class="dashboard">
        <div class="bg-dashboard p-5">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-5">
                        <div class="service-components-table">
                            <app-table-listing></app-table-listing>
                        </div>
                    </div>
                    <div class="col-lg-7">
                        <div class="row mb-4">
                            <div class="col-lg-12">
                                <app-chart-total-apicalls></app-chart-total-apicalls>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-lg-6">
                                <app-chart-apicalls-http></app-chart-apicalls-http>
                            </div>
                            <div class="col-lg-6">
                                <app-chart-response-http></app-chart-response-http>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-lg-4">
                                <div class="runtime-info bg-white p-3 border border-dark">
                                    <h2>Runtime Information</h2>
                                    <p>Microservces Runtime Details</p>
                                    <div class="p-2">
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <strong>Cluster Name:</strong>
                                            </div>
                                            <div class="col-lg-4">
                                                mdlbke01
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <strong>Number of Nodes:</strong>
                                            </div>
                                            <div class="col-lg-4">
                                                3
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <strong>Deployed Services:</strong>
                                            </div>
                                            <div class="col-lg-4">
                                                27
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <strong>Network Endpoints:</strong>
                                            </div>
                                            <div class="col-lg-4">
                                                27
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <strong>Active Nodes:</strong>
                                            </div>
                                            <div class="col-lg-4">
                                                node01 <br>
                                                node02 <br>
                                                node03 <br>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-8">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <app-chart-cpu-usage></app-chart-cpu-usage>
                                    </div>
                                    <div class="col-lg-6">
                                        <app-chart-memory-usage></app-chart-memory-usage>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</app-content-layout>
    
